corelinux::Memento Class Reference

Memento knows its Mediator object, communicates with its mediator whenever it would have otherwise communicated with another Memento. More...

`#include <Memento.hpp>`

## Public Member Functions

| Memento (void)
| Default constructor.
| Memento (MementoCref)
| Copy constructor. More...
virtual | ~Memento (void)
| Virtual destructor.
MementoRef | operator= (MementoCref)
| Assignment operator.
bool | operator== (MementoCref) const
| Equality operator.
bool | operator!= (MementoCref) const
| In-Equality operator.

## Detailed Description

Memento knows its Mediator object, communicates with its mediator whenever it would have otherwise communicated with another Memento.

## Constructor & Destructor Documentation

corelinux::Memento::Memento | ( | MementoCref |  | ) |

Copy constructor.

Parameters

  Memento | const referencee

The documentation for this class was generated from the following files:

- Memento.hpp
- Memento.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium